### R code from vignette source 'agilp_manual.Rnw'
### Encoding: ASCII

###################################################
### code chunk number 1: agilp_manual.Rnw:31-32
###################################################
file.path(system.file(package="agilp"))


###################################################
### code chunk number 2: agilp_manual.Rnw:41-45
###################################################
library(agilp)
inputdir<-file.path(system.file(package="agilp"),"extdata","scanner","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
AAProcess(input = inputdir, output = outputdir, s = 9)


###################################################
### code chunk number 3: agilp_manual.Rnw:58-62
###################################################
library(agilp) 
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
filenamex(input=inputdir,output=outputdir)


###################################################
### code chunk number 4: agilp_manual.Rnw:70-75
###################################################
library(agilp)
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputbase<-file.path(system.file(package="agilp"),"output", "testbase.txt", fsep = .Platform$file.sep)
template<-file.path(system.file(package="agilp"),"extdata","sample_template.txt", fsep = .Platform$file.sep)
Baseline(NORM="LOG",allfiles="TRUE",r=2,A=2,B=3,input=inputdir, baseout=outputbase, t = template)


###################################################
### code chunk number 5: agilp_manual.Rnw:79-80
###################################################
Baseline(NORM="FALSE",allfiles="FALSE",r=2,A=2,B=5,input=inputdir, baseout=outputbase, t = template)


###################################################
### code chunk number 6: agilp_manual.Rnw:89-94
###################################################
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
template<-file.path(system.file(package="agilp"),"extdata","sample_template.txt", fsep = .Platform$file.sep)

Loader(input=inputdir,output=outputdir,t=template,f="TRUE",r=2,A=2,B=5)


###################################################
### code chunk number 7: agilp_manual.Rnw:98-100
###################################################
Loader(input=inputdir,output=outputdir,t=template,f="FALSE",r=2,A=2,B=5)
dim(dataout)


###################################################
### code chunk number 8: agilp_manual.Rnw:112-116
###################################################
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
baselinedir<-file.path(system.file(package="agilp"),"extdata","testbase.txt", fsep = .Platform$file.sep)
AALoess(input=inputdir, output=outputdir, baseline = baselinedir, LOG="TRUE") 


###################################################
### code chunk number 9: agilp_manual.Rnw:121-122
###################################################
AALoess(input=inputdir, output=outputdir, baseline = baselinedir, LOG="FALSE")


###################################################
### code chunk number 10: agilp_manual.Rnw:130-134
###################################################
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
annotation<-file.path(system.file(package="agilp"),"extdata","annotations_sample.txt", fsep = .Platform$file.sep)
IDswop(input=inputdir,output=outputdir,annotation=annotation,source_ID="ProbeID",target_ID="EnsemblID", ERR=0.2)


###################################################
### code chunk number 11: agilp_manual.Rnw:138-139
###################################################
IDswop(input=inputdir,output=outputdir,annotation=annotation,source_ID="ProbeID",target_ID="EnsemblID", ERR=1)


###################################################
### code chunk number 12: agilp_manual.Rnw:152-155
###################################################
inputdir<-file.path(system.file(package="agilp"),"extdata","raw","", fsep = .Platform$file.sep)
outputdir<-file.path(system.file(package="agilp"),"output", "", fsep = .Platform$file.sep)
Equaliser(input = inputdir, output = outputdir)


###################################################
### code chunk number 13: agilp_manual.Rnw:165-166
###################################################
file.path(system.file(package="agilp"))


